<template>
	<view class="classmeeting">
		<view class="title" @click="goMeetingList(item.cmNo)" v-for="(item,index) in mettingList" :key="index">
			<text>主题班会: {{item.cmTitle}}</text>
			<text>时间: {{item.cmStart}}</text>
			<view class="status primary-status" v-if="item.status==0">
				代办
			</view>
			<view class="status " v-else-if="item.status==1">
				待办
			</view>
			<view class="status error-status" v-else>
				停用
			</view>
			<view class="images">
				<image :src="item.crContent" mode=""></image>
			</view>
		</view>

	</view>
</template>

<script>
	import {
		classMettingList
	} from "@/api/classmetting/classmeting.js"
	export default {
		data() {
			return {
				mettingList: []
			};
		},
		onLoad() {
			this.getclassMettingList()
		},
		methods: {
			getclassMettingList() {
				classMettingList().then(res => {
					console.log(res);
					this.mettingList = res.rows;
				})
			},
			goMeetingList(id) {
				uni.navigateTo({
					url: '/pages/classMeeting/classMeetingList?id='+id
				});
			}
		}
	}
</script>

<style lang="scss">
	.classmeeting {
		padding: 60rpx 30rpx;
		background-color: #F6F6F6;
		height: 100vh;

		.title {
			
			position: relative;
			display: flex;
			flex-direction: column;
			background-color: white;
			border-radius: 10rpx;
			margin-bottom: 40rpx;

			height: 190rpx;

			text {
				// margin-top: 40rpx;
				margin-left: 40rpx;
			}

			text:nth-child(1) {
				margin-top: 40rpx;
				margin-bottom: 15rpx;
				font-weight: bold;
				font-size: 36rpx;
			}

			text:nth-child(2) {
				color: #B2B2B2;
			}

			.status {
				position: absolute;
				bottom: 70rpx;
				right: 20rpx;
				border: 1px solid;
				background-color: #F6F6F6;
				color: #00aaff;
				width: 120rpx;
				font-size: 30rpx;
				text-align: center;
				padding: 5px 0;
				border-radius: 7px;
				//css3属性 deg 角度
				transform: rotate(45deg);
			}

			.primary-status {
				color: #00ff00;
			}

			.error-status {
				color: #ff0000;
			}
			.images{
				image{
					
				}
			}
		}




	}
</style>